<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <div class="solutions-container">
    <SlpContainer class="solutions-container__container">
      <SlpRow class="solutions-container__header">
        <SlpTypography tag="h2" variant="heading2-bold"
          >{{ data.title }}
        </SlpTypography>
        <nuxt-img
          v-if="data.image"
          class="slp-my-48"
          :src="data.image"
          :alt="data.alt"
          format="webp"
          quality="99"
        />
        <div class="solutions-container__text-container">
          <SlpTypography tag="p" variant="body1-bold"
            >{{ data.description }}
          </SlpTypography>
        </div>
      </SlpRow>
    </SlpContainer>
  </div>
</template>

<style scoped lang="scss">
.solutions-container {
  &__container {
    padding-left: $spacing-96;
    padding-right: $spacing-96;
  }

  img {
    max-width: 100%;
  }

  &__header {
    margin: $spacing-96 auto;

    img {
      width: 100%;
    }

    h2,
    p {
      width: 380px;
    }

    p {
      float: right;
    }
  }

  &__text-container {
    width: 100%;
  }

  @media (max-width: $breakpoint-md) {
    &__container {
      padding-left: $spacing-16;
      padding-right: $spacing-16;
    }

    img {
      border-radius: 0 0 100px 0;
    }

    &__header {
      margin: $spacing-64 auto;

      p {
        float: unset;
        width: unset;
      }
    }
  }
}
</style>
